def 网页协议_获取_响应文本取右边(响应对象, 目标文本, 是否打印=False):
    """
    获取响应的文本内容，并从中找到目标文本右边的部分。

    参数:
        响应对象: 服务器响应对象。
        目标文本: 目标文本，函数将返回位于目标文本右边的部分。
        是否打印 (bool, optional): 是否打印执行结果，默认为 False。

    返回:
        str: 目标文本右边的部分文本。如果响应为 None、未找到目标文本、或出现任何异常，则返回空字符串。
    """
    try:
        if 响应对象 is not None:
            文本内容 = 响应对象.text
            目标位置 = 文本内容.find(目标文本)
            if 目标位置 != -1:
                目标位置 += len(目标文本)
                右边文本 = 文本内容[目标位置:]
                if 是否打印:
                    print(f"目标文本右边的部分文本:\n{右边文本}")
                return 右边文本
            if 是否打印:
                print("未找到目标文本")
            return ''
        else:
            if 是否打印:
                print("响应对象为 None")
            return ''
    except Exception as e:
        if 是否打印:
            print(f"获取目标文本右边的部分文本时出现异常: {e}")
        return ''